datablock AudioProfile(AU_reaperScytheDraw)
{
	filename = "Add-Ons/Weapon_Sword/swordDraw.wav";
	description = AudioClose3d;
	preload = true;
};

datablock AudioProfile(AU_reaperScytheFire)
{
	filename = "Add-Ons/Weapon_Bow/bowFire.wav";
	description = AudioClose3d;
	preload = true;
};

AddDamageType("DMG_reaperScythe",	'<bitmap:Add-Ons/Weapon_ReaperScythe/CI_reaperScythe> %1', '%2 <bitmap:add-ons/Weapon_ReaperScythe/CI_reaperScythe> %1', 0.2,1);

datablock ExplosionData(EX_reaperScythe)
{
	lifeTimeMS = 10;

	shakeCamera = true;
	camShakeFreq = "20.0 22.0 20.0";
	camShakeAmp = "1.0 1.0 1.0";
	camShakeDuration = 0.5;
	camShakeRadius = 10.0;

	faceViewer = true;
	explosionScale = "1 1 1";
};

datablock ProjectileData(PR_reaperScythe)
{
	uiName = "";
	lifetime = 100;
	fadeDelay = 0;
	explosion = EX_reaperScythe;

 	muzzleVelocity = 55;
	velInheritFactor = 1;

	directDamage = 45;
	directDamageType = $DamageType::DMG_reaperScythe;

	isBallistic = false;
	gravityMod = 0;
	hasLight = false;
};

datablock ItemData(IT_reaperScythe)
{
	category = "Weapon";
	className = "Weapon";
	
	shapeFile = "./reaperScythe.dts";
	uiName = "Reaper's Scythe";
	iconName = "./Icon_reaperScythe";
	canDrop = true;
	image = IM_reaperScythe;
	
	friction = 0.8;
	elasticity = 0.1;
	sticky = 0;
	gravityMod = true;

	mass = 2;
	drag = 0.7;
	density = 0.5;

	doColorShift = true;
	colorShiftColor = "1 1 1 1"; //Color of the icon and blade when spawned.
};


datablock ShapeBaseImageData(IM_reaperScythe)
{
	className = "WeaponImage";
	shapeFile = "./reaperScythe.dts";
	Projectile = PR_reaperScythe;
	projectileType = Projectile;
	emap = true;
	Item = IT_reaperScythe;
	armReady = true;
	melee = true;

	mountPoint = 0;
	correctMuzzleVector = false;
	offset = "0 0 0";
	eyeOffset = "0 0 0";

	doColorShift = true;
	colorShiftColor = "1 1 1 1"; //Color of the blade on hand.
	
	stateName[0]				= "Activate";
	stateTimeoutValue[0]		= 0.5;
	stateTransitionOnTimeout[0] = "Ready";
	stateSound[0]				= AU_reaperScytheDraw;

	stateName[1]					= "Ready";
	stateTransitionOnTriggerDown[1] = "PreFire";
	stateAllowImageChange[1]		= true;

	stateName[2]				= "PreFire";
	stateScript[2]				= "onPreFire";
	stateAllowImageChange[2]	= false;
	stateTimeoutValue[2]		= 0.1;
	stateTransitionOnTimeout[2] = "Fire";

	stateName[3]				= "Fire";
	stateTransitionOnTimeout[3] = "StopFire";
	stateTimeoutValue[3]		= 0.08;
	stateFire[3]				= true;
	stateAllowImageChange[3]	= false;
	stateSequence[3]			= "Fire";
	stateScript[3]				= "onFire";
	stateWaitForTimeout[3]		= true;
	stateSound[3]				= AU_reaperScytheFire;

	stateName[5]				= "StopFire";
	stateTransitionOnTimeout[5] = "Ready";
	stateTimeoutValue[5]		= 0.82;
	stateAllowImageChange[5]	= false;
	stateWaitForTimeout[5]		= true;
	stateSequence[5]			= "StopFire";
	stateScript[5]				= "onStopFire";
};

function IM_reaperScythe::onPreFire(%this, %obj, %slot)
{
	%obj.playthread(2, armattack);
}

function IM_reaperScythe::onStopFire(%this, %obj, %slot)
{	
	%obj.playthread(2, root);
}